
package com.rjconsultores.ventaboletos.dao.hibernate;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.MatchMode;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.ImpresionLayoutConfigDAO;
import com.rjconsultores.ventaboletos.entidad.ImpresionLayoutConfig;

@Repository("impresionLayoutConfigDAO")
public class ImpresionLayoutConfigHibernateDAO extends GenericHibernateDAO<ImpresionLayoutConfig, Integer>
		implements ImpresionLayoutConfigDAO {

	@Autowired
	public ImpresionLayoutConfigHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
		setSessionFactory(factory);
	}

	@Override
	public List<ImpresionLayoutConfig> obtenerTodos() {
		Criteria c = getSession().createCriteria(getPersistentClass());
		c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));

		return c.list();
	}

	public List<ImpresionLayoutConfig> buscar(String descricao) {
		Criteria c = getSession().createCriteria(getPersistentClass());
		c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));

		c.add(Restrictions.eq("descricao", descricao));

		return c.list();
	}
	
	public List<ImpresionLayoutConfig> buscarLike(String descricao) {
		Criteria c = getSession().createCriteria(getPersistentClass());
		c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));

		c.add(Restrictions.like("descricao", descricao,  MatchMode.ANYWHERE));

		return c.list();
	}
}
